LLVM: lldb::SBAddress Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBAddress Class Reference

`#include <SBAddress.h>`

## Public Member Functions
| SBAddress ()
| SBAddress (const lldb::SBAddress &rhs)
| SBAddress (lldb::SBSection section, lldb::addr_t offset)
| SBAddress (lldb::addr_t load_addr, lldb::SBTarget &target)
| ~SBAddress ()
const lldb::SBAddress & | operator= (const lldb::SBAddress &rhs)
bool | IsValid () const
void | Clear ()
addr_t | GetFileAddress () const
addr_t | GetLoadAddress (const lldb::SBTarget &target) const
void | SetAddress (lldb::SBSection section, lldb::addr_t offset)
void | SetLoadAddress (lldb::addr_t load_addr, lldb::SBTarget &target)
bool | OffsetAddress (addr_t offset)
bool | GetDescription (lldb::SBStream &description)
lldb::SBSymbolContext | GetSymbolContext (uint32_t resolve_scope)
lldb::SBSection | GetSection ()
lldb::addr_t | GetOffset ()
lldb::SBModule | GetModule ()
lldb::SBCompileUnit | GetCompileUnit ()
lldb::SBFunction | GetFunction ()
lldb::SBBlock | GetBlock ()
lldb::SBSymbol | GetSymbol ()
lldb::SBLineEntry | GetLineEntry ()
lldb::AddressClass | GetAddressClass ()

## Protected Member Functions
lldb_private::Address * | operator-> ()
const lldb_private::Address * | operator-> () const
lldb_private::Address * | get ()
lldb_private::Address & | ref ()
const lldb_private::Address & | ref () const
| SBAddress (const lldb_private::Address *lldb_object_ptr)
void | SetAddress (const lldb_private::Address *lldb_object_ptr)

## Friends
class | SBBlock
class | SBBreakpointLocation
class | SBFrame
class | SBFunction
class | SBLineEntry
class | SBInstruction
class | SBModule
class | SBSection
class | SBSymbol
class | SBSymbolContext
class | SBTarget
class | SBThread
class | SBValue

## Detailed Description

Definition at line 18 of file SBAddress.h.

## Constructor & Destructor Documentation

lldb::SBAddress::SBAddress | ( |  | ) |

lldb::SBAddress::SBAddress | ( | const lldb::SBAddress & | rhs | ) |

lldb::SBAddress::SBAddress | ( | lldb::SBSection | section,
|  | lldb::addr_t | offset
| ) |  |

lldb::SBAddress::SBAddress | ( | lldb::addr_t | load_addr,
|  | lldb::SBTarget & | target
| ) |  |

lldb::SBAddress::~SBAddress | ( |  | ) |

lldb::SBAddress::SBAddress | ( | const lldb_private::Address * | lldb_object_ptr | ) |
| protected

## Member Function Documentation

void lldb::SBAddress::Clear | ( |  | ) |

lldb_private::Address* lldb::SBAddress::get | ( |  | ) |
| protected

lldb::AddressClass lldb::SBAddress::GetAddressClass | ( |  | ) |

lldb::SBBlock lldb::SBAddress::GetBlock | ( |  | ) |

lldb::SBCompileUnit lldb::SBAddress::GetCompileUnit | ( |  | ) |

bool lldb::SBAddress::GetDescription | ( | lldb::SBStream & | description | ) |

addr_t lldb::SBAddress::GetFileAddress | ( |  | ) | const

lldb::SBFunction lldb::SBAddress::GetFunction | ( |  | ) |

lldb::SBLineEntry lldb::SBAddress::GetLineEntry | ( |  | ) |

addr_t lldb::SBAddress::GetLoadAddress | ( | const lldb::SBTarget & | target | ) | const

lldb::SBModule lldb::SBAddress::GetModule | ( |  | ) |

lldb::addr_t lldb::SBAddress::GetOffset | ( |  | ) |

lldb::SBSection lldb::SBAddress::GetSection | ( |  | ) |

lldb::SBSymbol lldb::SBAddress::GetSymbol | ( |  | ) |

lldb::SBSymbolContext lldb::SBAddress::GetSymbolContext | ( | uint32_t | resolve_scope | ) |

bool lldb::SBAddress::IsValid | ( |  | ) | const

bool lldb::SBAddress::OffsetAddress | ( | addr_t | offset | ) |

lldb_private::Address* lldb::SBAddress::operator-> | ( |  | ) |
| protected

const lldb_private::Address* lldb::SBAddress::operator-> | ( |  | ) | const
| protected

const lldb::SBAddress& lldb::SBAddress::operator= | ( | const lldb::SBAddress & | rhs | ) |

lldb_private::Address& lldb::SBAddress::ref | ( |  | ) |
| protected

const lldb_private::Address& lldb::SBAddress::ref | ( |  | ) | const
| protected

void lldb::SBAddress::SetAddress | ( | lldb::SBSection | section,
|  | lldb::addr_t | offset
| ) |  |

void lldb::SBAddress::SetAddress | ( | const lldb_private::Address * | lldb_object_ptr | ) |
| protected

void lldb::SBAddress::SetLoadAddress | ( | lldb::addr_t | load_addr,
|  | lldb::SBTarget & | target
| ) |  |

## Friends And Related Function Documentation

friend class SBBlock
| friend

Definition at line 108 of file SBAddress.h.

friend class SBBreakpointLocation
| friend

Definition at line 109 of file SBAddress.h.

friend class SBFrame
| friend

Definition at line 110 of file SBAddress.h.

friend class SBFunction
| friend

Definition at line 111 of file SBAddress.h.

friend class SBInstruction
| friend

Definition at line 113 of file SBAddress.h.

friend class SBLineEntry
| friend

Definition at line 112 of file SBAddress.h.

friend class SBModule
| friend

Definition at line 114 of file SBAddress.h.

friend class SBSection
| friend

Definition at line 115 of file SBAddress.h.

friend class SBSymbol
| friend

Definition at line 116 of file SBAddress.h.

friend class SBSymbolContext
| friend

Definition at line 117 of file SBAddress.h.

friend class SBTarget
| friend

Definition at line 118 of file SBAddress.h.

friend class SBThread
| friend

Definition at line 119 of file SBAddress.h.

friend class SBValue
| friend

Definition at line 120 of file SBAddress.h.

The documentation for this class was generated from the following file:

- SBAddress.h